﻿<div id="settings-dom">
    <div class="app-zone">
        <div class="inner">
            <form data-bind="with: ChangeCharNameModel">
                <h3>Change your character's name</h3>
                <div class="font-small">
                    <label>New name: </label><input class="app-textbox" type="text" data-bind="value: NewName, valueUpdate: 'afterkeydown'" />
                    <input class="app-button" type="submit" value="Update" data-bind="click: $parent.updateCharName, enable: isValid()"/>
                </div>
                <div class="font-small" data-bind="if: $parent.errorName"><span data-bind="text: $parent.errorName"></span></div>
            </form>
            <div>
                <h3>Retire your character</h3>
                <p class="font-small">Reset your character's level to 0 and gain 1 loompoint and a generation level. 
                    Loompoints are used to improve items and generation increase your experience and gold gained.</p>
                <div class="font-small" data-bind="if: isLevel31()">
                    <label>Check this if you are sure</label><input class="app-textbox" type="checkbox" data-bind="checked: isSure" />
                    <input  class="app-button" type="submit" value="Retire" data-bind="click: retire, enable: canRetire()" />
                </div>
                <div class="font-small" data-bind="if: !isLevel31()">
                    You must be at least level 31 to retire.
                </div>
            </div>
            <form id="change-password" data-bind="with: ChangePasswordModel">
                <h3>Change your account's password</h3>
                <div class="font-small"><label>Current password: </label><input class="app-textbox" type="password" data-bind="value: CurrentPassword, valueUpdate: 'afterkeydown'" /></div>
                <div class="font-small"><label>New password: </label><input class="app-textbox" type="password" data-bind="value: NewPassword, valueUpdate: 'afterkeydown'" /></div>
                <div class="font-small"><label>Confirmation: </label><input class="app-textbox" type="password" data-bind="value: NewPasswordConfirm, valueUpdate: 'afterkeydown'" /></div>
                <div class="font-small" data-bind="if: $parent.errorPassword"><span data-bind="text: $parent.errorPassword"></span></div>
                <input class="app-button" type="submit" value="Change password" data-bind="click: $parent.changePassword, enable: isValid()" />
            </form>
        </div>
    </div>
</div>